#
# spec file for package seahorse
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           seahorse
License:        GPLv2+
Group:          Productivity/Security
Version:        3.1.1
Release:        1
Summary:        GNOME interface for gnupg
Url:            http://seahorse.sourceforge.net/
Source:         ftp://ftp.gnome.org/pub/gnome/sources/seahorse/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE seahorse-xsltproc-nonet.patch
Patch1:         seahorse-xsltproc-nonet.patch
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  libavahi-glib-devel
BuildRequires:  libassuan-devel
BuildRequires:  libgcr-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  openldap2-devel
BuildRequires:  openssh
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Seahorse is a GNOME interface for gnupg. It uses gpgme as the backend.

%package devel
License:        GPLv2+
Summary:        GNOME interface for gnupg
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       gconf2-devel

%description devel
Seahorse is a gnome2 interface for gnupg. It uses gpgme as the backend.

%lang_package
%prep
%setup
translation-update-upstream
%patch1 -p1

%build
%configure --with-gtk=3.0 \
        --disable-scrollkeeper \
        --disable-schemas-install
make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%{__rm} -f %{buildroot}%{_libdir}/*.*a
%suse_update_desktop_file -G "Passwords and Encryption Keys" -N "Seahorse" %{name}
%find_lang %{name} %{?no_lang_C}
%find_gconf_schemas
%fdupes $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post

%postun
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-auto NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/*
%{_libdir}/seahorse
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/CryptUI-0.0.typelib
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/pixmaps/seahorse
%{_datadir}/seahorse
%{_mandir}/man1/*.1.*

%files lang -f %{name}.lang

%files devel
%defattr(-,root,root)
%{_includedir}/libcryptui/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/CryptUI-0.0.gir
%{_datadir}/gtk-doc/html/libcryptui
%{_datadir}/gtk-doc/html/libseahorse
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
